Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kUdpClient Class Reference
kApi/Io

## Description

Represents a UDP client.

Inheritance diagram for kUdpClient:

## Public Member Functions
kStatus | kUdpClient_Bind (kUdpClient client, kIpAddress address, k32u port)
| Binds the client to a local IP address and/or port. More...
kStatus | kUdpClient_Clear (kUdpClient client)
| Clears the internal write buffer state. More...
kStatus | kUdpClient_Construct (kUdpClient *client, kIpVersion ipVersion, kAlloc allocator)
| Constructs a UDP client object. More...
kStatus | kUdpClient_EnableBroadcast (kUdpClient client, kBool broadcast)
| Enables or disables broadcasting. More...
kStatus | kUdpClient_EnableBroadcastReceive (kUdpClient client, kBool broadcast)
| Enables the ability to receive broadcast messages. More...
kStatus | kUdpClient_EnableReuseAddress (kUdpClient client, kBool reuse)
| Enables or disables reuse of a local end point within a short period of time. More...
kStatus | kUdpClient_LocalEndPoint (kUdpClient client, kIpEndPoint *endPoint)
| Returns the local end point for a bound client. More...
kStatus | kUdpClient_ReadFrom (kUdpClient client, kIpEndPoint *endPoint, void *buffer, kSize capacity, kSize *received, k64u timeout)
| Blocks until a datagram is received into the provided buffer (or until a timeout occurs). More...
kStatus | kUdpClient_Receive (kUdpClient client, kIpEndPoint *endPoint, kSize *received, k64u timeout)
| Blocks until a datagram is received into kUdpClient's read buffer (or until a timeout occurs). More...
kStatus | kUdpClient_Send (kUdpClient client, kIpAddress address, k32u port, k64u timeout, kBool clear)
| Blocks until the datagram in kUdpClient's internal write buffer is written to the underlying socket (or until a timeout occurs). More...
kStatus | kUdpClient_SetReadBuffers (kUdpClient client, kSSize socketSize, kSSize clientSize)
| Sets the size of read buffers. More...
kStatus | kUdpClient_SetWriteBuffers (kUdpClient client, kSSize socketSize, kSSize clientSize)
| Sets the size of write buffers. More...
kSocket | kUdpClient_Socket (kUdpClient client)
| Returns the underlying kSocket object. More...
kStatus | kUdpClient_WriteTo (kUdpClient client, const void *buffer, kSize size, kIpAddress address, k32u port, k64u timeout)
| Blocks until the provided datagram is written to the underlying socket (or until a timeout occurs). More...
Public Member Functions inherited from kStream
k64u | kStream_BytesRead (kStream stream)
| Reports the number of bytes read from this stream. More...
k64u | kStream_BytesWritten (kStream stream)
| Reports the number of bytes written to this stream. More...
kStatus | kStream_ClearStats (kStream stream)
| Clears stream statistics (e.g. More...
kStatus | kStream_Copy (kStream stream, kStream source, kSize size)
| Copies the specified number of bytes from one stream to another. More...
kStatus | kStream_CopyEx (kStream stream, kStream source, kSize size, kCallbackFx progress, kPointer context)
| Copies the specified number of bytes from one stream to another, with progress feedback. More...
kStatus | kStream_Flush (kStream stream)
| Flushes buffered writes to the underlying medium. More...
kStatus | kStream_Read (kStream stream, void *buffer, kSize size)
| Reads the specified number of bytes from the stream. More...
kStatus | kStream_ReadSome (kStream stream, void *buffer, kSize minCount, kSize maxCount, kSize *bytesRead)
| Reads up to the specified number of bytes from the stream. More...
kStatus | kStream_Seek (kStream stream, k64s offset, kSeekOrigin origin)
| Moves the read/write pointer to the specified location, if supported by the underlying stream. More...
kStatus | kStream_Write (kStream stream, const void *buffer, kSize size)
| Writes the specified number of bytes to the stream. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Io/kUdpClient.h